Bug 1052957 - (CVE-2014-1447) CVE-2014-1447 libvirt: denial of service with keepalive
CVE-2014-1447 libvirt: denial of service with keepalive
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131231,repor...
: Security
Depends On: 1047577 1054805 1054807 1054808
Blocks: 1052966 1056484
  Show dependency treegraph
 
Reported: 2014-01-14 08:51 EST by Petr Matousek
Modified: 2014-01-28 13:20 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-28 13:20:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-01-14 08:51:07 EST
A race condition was found in the way libvirtd handled keepalive initialization requests when the connection is closed prior to establishing connection credentials.

An attacker able to establish a read-only connection to libvirtd could use this flaw to crash libvirtd, resulting in a denial of service.

Upstream patches:
http://libvirt.org/git/?p=libvirt.git;a=commit;h=173c291
http://libvirt.org/git/?p=libvirt.git;a=commit;h=066c8ef
Comment 1 Petr Matousek 2014-01-14 08:55:02 EST
Statement:

Not vulnerable. This issue did not affect the versions of libvirt as shipped with Red Hat Enterprise Linux 5.
Comment 2 Petr Matousek 2014-01-14 08:55:57 EST
CVE Request --
  http://seclists.org/oss-sec/2014/q1/82
Comment 4 Petr Matousek 2014-01-17 09:04:12 EST
Created libvirt tracking bugs for this issue:

Affects: fedora-all [bug 1054808]
Comment 5 errata-xmlrpc 2014-01-28 12:50:40 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0103 https://rhn.redhat.com/errata/RHSA-2014-0103.html

Note You need to log in before you can comment on or make changes to this bug.